# std::atomic<T>::store

From cppreference.com
< cpp‎ | atomic‎ | atomic

|  | (since C++11)
void store( T desired, std::memory_order order = std::memory_order_seq_cst ) noexcept; |  |
void store( T desired, std::memory_order order = std::memory_order_seq_cst ) volatile noexcept; |  |

Atomically replaces the current value with `desired`. Memory is affected according to the value of `order`.

`order` must be one of std::memory_order_relaxed, std::memory_order_release or std::memory_order_seq_cst. Otherwise the behavior is undefined.

### Parameters

desired | - | the value to store into the atomic variable
order | - | memory order constraints to enforce

### Return value

(none)

### See also

operator= | stores a value into an atomic object (public member function)
atomic_storeatomic_store_explicit (C++11)(C++11) | atomically replaces the value of the atomic object with a non-atomic argument (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic/store&oldid=93060"